Connect URL for a HVAC vendor
curl --request POST \
--url https://api.energy-hub.io/v1.0.0/connections/hvacs \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"redirectUrl": "https://www.redirectable-partners-website.com/v1.0.0/endpoint/bea09c5f-9d37-4562-b54a-dedb48d7aaf4",
"userId": "896f9d5a-b618-48a2-98ae-957059bf1bc9"
}
'import requests
url = "https://api.energy-hub.io/v1.0.0/connections/hvacs"
payload = {
"redirectUrl": "https://www.redirectable-partners-website.com/v1.0.0/endpoint/bea09c5f-9d37-4562-b54a-dedb48d7aaf4",
"userId": "896f9d5a-b618-48a2-98ae-957059bf1bc9"
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
redirectUrl: 'https://www.redirectable-partners-website.com/v1.0.0/endpoint/bea09c5f-9d37-4562-b54a-dedb48d7aaf4',
userId: '896f9d5a-b618-48a2-98ae-957059bf1bc9'
})
};
fetch('https://api.energy-hub.io/v1.0.0/connections/hvacs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"url": "https://svc-connect.energy-hub.io/bea09c5f-9d37-4562-b54a-dedb48d7aaf4/redirect"
}
Connect HVAC
Connect URL for a HVAC vendor
Creates a connect URL to redirect to the IDP of the specified HVAC vendor.
POST
/
v1.0.0
/
connections
/
hvacs
Connect URL for a HVAC vendor
Authorizations
API key used for authorization and authentication.
Query Parameters
Available options:
DARK, LIGHT Available options:
ENGLISH, GERMAN, FRENCH Body
application/json
An object containing relevant information to link HVAC vendor accounts.
The URL to which the user will be redirected.
Maximum string length:
2048Example:
"https://www.redirectable-partners-website.com/v1.0.0/endpoint/bea09c5f-9d37-4562-b54a-dedb48d7aaf4"
The vendor of the account to be added to the Energy Hub.
Available options:
VIESSMANN, DAIKIN, VAILLANT The ID of the user for which to create the connect session.
Maximum string length:
50Example:
"896f9d5a-b618-48a2-98ae-957059bf1bc9"
Response
Created
An object containing the URL which is used to redirect the user to the connect page or vendor login.
The URL to follow to redirect to connect page or IDP of the vendor.
Example:
"https://svc-connect.energy-hub.io/bea09c5f-9d37-4562-b54a-dedb48d7aaf4/redirect"

